Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.machinereassignment.solver.selector
Class MrMachineProbabilityWeightFactory

    java.lang.Object
      org.optaplanner.examples.machinereassignment.solver.selector.MrMachineProbabilityWeightFactory

All Implemented Interfaces:
  SelectionProbabilityWeightFactory<MrProcessAssignment>

    public class MrMachineProbabilityWeightFactory

extends Object
implements SelectionProbabilityWeightFactory<MrProcessAssignment>

Constructor Summary
`MrMachineProbabilityWeightFactory()`

Method Summary
`double` | `createProbabilityWeight(ScoreDirector scoreDirector, MrProcessAssignment processAssignment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MrMachineProbabilityWeightFactory

    public MrMachineProbabilityWeightFactory()

Method Detail

### createProbabilityWeight

    public double createProbabilityWeight(ScoreDirector scoreDirector,
                                          MrProcessAssignment processAssignment)

  Specified by:
    `createProbabilityWeight` in interface `SelectionProbabilityWeightFactory<MrProcessAssignment>`
  Parameters:
    `scoreDirector` - never null, the `ScoreDirector` which has the `ScoreDirector.getWorkingSolution()` to which the selection belongs or applies to
    `processAssignment` - never null, a `PlanningEntity`, a planningValue, a `Move` or a `Selector` to create the probabilityWeight for
  Returns:
    0.0 <= returnValue < `Double.POSITIVE_INFINITY`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.